---
title:  "Just a Test Blog Post"
description: "This is a test; this is only a test"
author: cassidyjames
image: https://source.unsplash.com/featured?test
tags:
  - test
  - meta
---

This is just a simple test of a Jekyll-powered blog. Nothing to see here. Move along, please! Like really, no need to click on this post or read it or anything. You'll just disappoint yourself.

## You're bad at following directions

But that's okay. This post is simply to serve as a testing ground for blog post features and whatnot.

### Images

![Parrot](https://media.giphy.com/media/l3q2zVr6cu95nF6O4/giphy.gif)

Have a parrot for your troubles. Better yet, have a parrot in a `figure` with a `figcaption` for nicer layout!

<figure markdown="1">

![Parrot](https://media.giphy.com/media/l3q2zVr6cu95nF6O4/giphy.gif)

<figcaption>A pretty parrot</figcaption>
</figure>

See, isn't that nice. You can also put them halvsies (`.half`) or… thirdsies (`.third`)?

<figure class="half" markdown="1">

![Parrot](https://media.giphy.com/media/l3q2zVr6cu95nF6O4/giphy.gif)
![Parrot](https://media.giphy.com/media/l3q2zVr6cu95nF6O4/giphy.gif)

<figcaption>A couple of cool parrots</figcaption>
</figure>

I really hope you don't have light- or motion-sensitivity or something, because this page is becoming painful.

<figure class="third" markdown="1">

![Parrot](https://media.giphy.com/media/l3q2zVr6cu95nF6O4/giphy.gif)
![Parrot](https://media.giphy.com/media/l3q2zVr6cu95nF6O4/giphy.gif)
![Parrot](https://media.giphy.com/media/l3q2zVr6cu95nF6O4/giphy.gif)

<figcaption>A trio of trippy parrots</figcaption>
</figure>

Ooh, circle crops could come in handy, especially if we're featuring a developer's mug or something. Let's give that a go down below with a `.circle` class:

<figure class="circle" markdown="1">

![Random](https://source.unsplash.com/random/500x500)

<figcaption>It’s a beautiful circle of… something</figcaption>
</figure>

And we can make sure wider images are constrained to the width of the content (not the wider page width) with a simple `.constrained` class:

<figure class="constrained" markdown="1">

![Random](https://source.unsplash.com/random/2000x1000)

<figcaption>It’s big, but like, smaller</figcaption>
</figure>

And lastly, we can go full bleed if we want with the appropriately-named `.full-bleed` class:

<figure class="full-bleed" markdown="1">

![Random](https://source.unsplash.com/random/2560x720)

<figcaption>My god, it's full of stars!</figcaption>
</figure>

### Other stuff

Okay, that's enough of that. What else can we do? How about a table, using the familiar GitHub syntax:

| First Header  | Second Header |
| ------------- | ------------- |
| Content Cell  | Content Cell  |
| Content Cell  | Content Cell  |

Neat! I'm sure we can spruce those up a bit more later. Now, let's try to embed a post. This will be interesting…

<aside>
{% assign post = site.posts | where:"slug", "test" | first %}
{% include featured.html post=post %}
</aside>

Okay so that was a little more complicated than I'd like, but it actually works. Neato 🌯️.

And of course, pressing <kbd>⌘</kbd> + <kbd>Shift</kbd> will do absolutely nothing. Thought you'd like to know.

And we need to test code blocks like this one:

```vala
public class MyApp : Gtk.Application {

    public MyApp () {
        Object (application_id: "com.github.myteam.myapp",
        flags: ApplicationFlags.FLAGS_NONE);
    }

    protected override void activate () {
        var window = new Gtk.ApplicationWindow (this);
        window.title = "MyApp";
        window.set_default_size (1024, 768);
        window.show_all ();
    }

    public static int main (string[] args) {
        var app = new MyApp ();
        return app.run (args);
    }
}
```

## But wait, there's more!

To help contribute, visit [github.com/elementary/blog-template](https://github.com/elementary/blog-template)

